package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hz_crm_eta/controller/crm"
)

func InitChartPermission(r *gin.RouterGroup) {
	control := new(crm.ChartPermissionController)
	group := r.Group("crm/chart_permission")
	group.POST("list", control.GetChartPermission)
	group.POST("add", control.AddChartPermission)
	group.POST("edit", control.EditChartPermission)
	group.POST("move", control.MoveChartPermission)
	group.POST("classify", control.GetClassifyChartPermission)
	group.POST("classify/edit", control.EditClassifyChartPermission)
	group.POST("enabled/set", control.SetEnabled)
}
